Loading...
Searching...
No Matches
irrAllocator.h File Reference
`#include "irrTypes.h"`
`#include <new>`
`#include <memory.h>`

Go to the source code of this file.

## Classes

class | irr::core::irrAllocator< T >
| Very simple allocator implementation, containers using it can be used across dll boundaries. More...
class | irr::core::irrAllocatorFast< T >
| Fast allocator, only to be used in containers inside the same memory heap. More...

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::core
| Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Enumerations

enum | irr::core::eAllocStrategy { irr::core::ALLOC_STRATEGY_SAFE = 0 , irr::core::ALLOC_STRATEGY_DOUBLE = 1 , irr::core::ALLOC_STRATEGY_SQRT = 2 }
| defines an allocation strategy More...

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0